SAFER_Impl< BASE, INFO, STR > Class Template Reference

SAFER block cipher default implementation. More...

Inheritance diagram for SAFER_Impl< BASE, INFO, STR >:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< INFO, BASE >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, INFO > > >
std::string | AlgorithmName () const
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, INFO > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The default initialization vector length for the algorithm. More...
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, INFO > > >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class BASE, class INFO, bool STR>
class SAFER_Impl< BASE, INFO, STR >

SAFER block cipher default implementation.

Template Parameters

  BASE | SAFER::Enc or SAFER::Dec derived base class
  INFO | SAFER_Info derived class
  STR | flag indicating a strengthened implementation

SAFER-K is not strengthened; while SAFER-SK is strengthened.

Definition at line 59 of file safer.h.

The documentation for this class was generated from the following file:

- safer.h